aboutsummaryrefslogtreecommitdiff
path: root/docker/nginx/certbot.bash
diff options
context:
space:
mode:
Diffstat (limited to 'docker/nginx/certbot.bash')
-rw-r--r--docker/nginx/certbot.bash9
1 files changed, 9 insertions, 0 deletions
diff --git a/docker/nginx/certbot.bash b/docker/nginx/certbot.bash
new file mode 100644
index 0000000..0b8e3b7
--- /dev/null
+++ b/docker/nginx/certbot.bash
@@ -0,0 +1,9 @@
+#!/usr/bin/bash
+
+set -e
+
+while true; do
+ certbot renew --deploy-hook "nginx -s reload"
+ echo "Sleep one day before next certbot renew."
+ sleep 1d
+done